Инструкция как открыть отдельный фрейм live чата на #peertube в случае если ваш браузер не может открывать фреймы из контекстного меню. (На примере XXIV Production и стрима Лиэс)  

1. Надо получить полный идентификатор стрима.
Это можно сделать через api. Если ссылка вида:
```
https://xxivproduction.video/w/u3MfCKHMZZhx2ThKt4HgkM
```
Приводим к виду такому:
```
https://xxivproduction.video/api/v1/videos/u3MfCKHMZZhx2ThKt4HgkM
```

Из ответа нужно взять uuid, это и есть полный идентификатор:
```
curl "https://xxivproduction.video/api/v1/videos/u3MfCKHMZZhx2ThKt4HgkM" | json_reformat | grep uuid
```
"uuid": "e32341fb-7a18-43dd-b1a8-7ea6932276cf"  
Если ссылка подобный уже содержит в себе, то вам остаётся только скопировать конец ссылки.  

2. Затем просто подставьте uuid в конец этой ссылки:
```
https://xxivproduction.video/plugins/livechat/5.3.0/router/webchat/room/{uuid}
```

```
https://xxivproduction.video/plugins/livechat/5.3.0/router/webchat/room/e32341fb-7a18-43dd-b1a8-7ea6932276cf
```

Ахтунг: это не решает проблему неработоспособности чата в таких браузерах как например palemoon, идеальное место применения это смартфоны (с более-менее современными браузерами). Например лично у меня не в фрейме чат под видео очень мелкий, да и ещё если кто-то напишет новое сообщение, то набираемое пропадает  :blobfoxconfused:  

P.S. Да, я знаю, что можно сделать однострочную консольную команду для всей инструкции, но эта инструкция чисто для ознакомительных целей.

Основной тред: https://soc.phreedom.club/notice/AGRgMdIC9aXnj93gmW
